[android-components](../../../index.md) / [mozilla.components.concept.engine.media](../../index.md) / [RecordingDevice](../index.md) / [Type](./index.md)

# Type

`enum class Type` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/media/RecordingDevice.kt#L20)

Types of recording devices.

### Enum Values

| Name | Summary |
|---|---|
| [CAMERA](-c-a-m-e-r-a.md) |  |
| [MICROPHONE](-m-i-c-r-o-p-h-o-n-e.md) |  |
